<!DOCTYPE html>
<html xmlns:th= "http://thymeleaf.org"
th:replace="~{main-layout.html::main-fragment(~{::title},~{::#movie-main-content})}"> 

<head>
<meta charset="UTF-8">
<title>Liste de films</title>
</head>
<body>
    <div class="container-fluid" id="movie-main-content">
    <h2>Liste des films</h2>
    <table class="table">
        <thead>
            <tr>
               <th>Titre</th>
               <th>Durée</th>
               <th>Date de sortie</th>
               <th>Genre</th>
               <th>Actions</th>
            </tr>
        </thead>
        <tbody>
            <tr th:each="movie : ${movies}">
                <td th:text="${movie.titleVF}"/>
                <td th:text="|${movie.duration} min|"/>
                <td th:text="${#temporals.format(movie.releaseDate,'dd MMMM yyyy')}"/>
                <td th:text="${movie.genre.name}"/>
                <td><a class ="btn btn-danger btn-sm"
                th:href="@{/store/movies/delete/{idSup}(idSup=${movie.id})}">suprimer</a></td> 
            </tr>
        
        </tbody>
    </table>
    </div>

</body>
</html>